package repository

import "context"

type thirdCorpInfoRepository interface {
	QueryPage(ctx context.Context, page, size int) *[]FThirdCorpInfoDO
	FindById(ctx context.Context, id uint64) *FThirdCorpInfoDO
	Count(ctx context.Context) int64

	Create(ctx context.Context, data *FThirdCorpInfoDO) error
	UpdateById(ctx context.Context, data FThirdCorpInfoDO) error
	UpdateStatusById(ctx context.Context, id uint64, state int, operator string) error
	deleteById(ctx context.Context, id uint64, operator string) error
}

var ThirdCorpInfo thirdCorpInfoRepository = new(thirdCorpInfoRepositoryImpl)
