package repository

import "context"

type thirdCorpUserAccountRepository interface {
	QueryPage(ctx context.Context, page, size int) *[]FThirdCorpUserAccountDO
	FindById(ctx context.Context, id uint64) *FThirdCorpUserAccountDO
	Count(ctx context.Context) int64

	Create(ctx context.Context, data *FThirdCorpUserAccountDO) error
	UpdateById(ctx context.Context, data FThirdCorpUserAccountDO) error
	UpdateStatusById(ctx context.Context, id uint64, state int, operator string) error
	deleteById(ctx context.Context, id uint64, operator string) error

	FindThirdAccountBy(ctx context.Context, bizId, corpId uint64, account string) *FThirdCorpUserAccountDO
}

var ThirdCorpUserAccount thirdCorpUserAccountRepository = new(thirdCorpUserAccountRepositoryImpl)
